Skip to main content
GET
List employees

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Query Parameters

page
string

Cursor of the page to retrieve. Read more about pagination.

limit
integer
default:25

Number of items per page. Defaults to 25. Maximum is 1,000. Read more about pagination.

Required range: 0 <= x <= 1000

Find an employee by their name. The employee given or family names must start with the given words. Each word can be delimited with any of these delimiters: [' ', '-', '_', ',', '.'].

Minimum string length: 1
id
string[]

Filter out employees on their ID.

Maximum array length: 100
Minimum string length: 1
Example:
email
(string<email> | string)[]

Filter out employees on their email address (strict equality). Comma-separated list. Send "?email=null" to retrieve employees with no email address.

Maximum array length: 100
Required string length: 3 - 255
status
enum<string>[]

Filter out employees on their status.

Maximum array length: 100

Read-only. The employee status is calculated from the employee's employments.

  • active: employee has an employment as of today.
  • upcoming: employee currently has no employment but will have one in the future.
  • deactivated: employee used to have an employment but no longer does.
Available options:
active,
upcoming,
deactivated
Example:

Filter out employees on their active employment legal-entity IDs.

Maximum array length: 100
Minimum string length: 1
Example:
applicableEmployment.remoteId
string[]

Filter out employees on their active employment remoteId.

Maximum array length: 100
Minimum string length: 1
Example:
applicableEmployment.startsOn
string<date>

Filter out employees on their active employment startsOn date (strict equality).

applicableEmployment.startsOn.between
string<date-range>

Filter out employees on their active employment startsOn date. ISO 8601 formatted date-range string. ISO 8601 formatted date-range string. Examples:

  • 2024-01-01--2024-12-31: from Jan. 1st 2024 until Dec. 31st 2024 (included).
  • ..--2024-12-31: until Dec. 31st 2024.
  • 2024-01-01--..: from Jan. 1st 2024.
Examples:

"2024-01-01--2024-12-31"

"..--2024-12-31"

"2024-01-01--.."

applicableEmployment.endsOn

Filter out employees on their applicable employment endsOn date (strict equality).

applicableEmployment.endsOn.between
string<date-range>

Filter out employees on their applicable employment endsOn date. ISO 8601 formatted date-range string. ISO 8601 formatted date-range string. Examples:

  • 2024-01-01--2024-12-31: from Jan. 1st 2024 until Dec. 31st 2024 (included).
  • ..--2024-12-31: until Dec. 31st 2024.
  • 2024-01-01--..: from Jan. 1st 2024.
Examples:

"2024-01-01--2024-12-31"

"..--2024-12-31"

"2024-01-01--.."

applicableEmployment.template.id
string[]

Filter out employees on their applicable employment template IDs.

Maximum array length: 100
Minimum string length: 1
Example:
applicableEmployment.template.term
enum<string>[]

Filter out employees on their applicable employment template term.

Maximum array length: 100

Term of an employment.

Available options:
permanent,
fixed
Example:
applicableJobPosition.remoteId
string[]

Filter out employees on their applicable job-position remoteId.

Maximum array length: 100
Minimum string length: 1
Example:
applicableJobPosition.businessEstablishment.id
string[]

Filter out employees on their active job-position business-establishment IDs.

Maximum array length: 100
Minimum string length: 1
Example:
applicableJobPosition.department.id
string[]

Filter out employees on their applicable job-position department IDs.

Maximum array length: 100
Minimum string length: 1
Example:
applicableJobPosition.manager.id
string[]

Filter out employees on their manager's IDs.

Maximum array length: 100
Minimum string length: 1
Example:
applicableJobPosition.jobQualification.id
string[]

Filter out employees on their applicable job-position job-qualification IDs.

Maximum array length: 100
Minimum string length: 1
Example:
applicableJobPosition.jobQualification.remoteId
string[]

Filter out employees on their active job-position job-qualification remoteId.

Maximum array length: 100
Minimum string length: 1
Example:
applicableJobPosition.occupationCategory.id
string[]

Filter out employees on their active job-position occupation-category IDs.

Maximum array length: 100
Minimum string length: 1
Example:
applicableJobPosition.occupationCategory.remoteId
string[]

Filter out employees on their active job-position occupation-category remoteId.

Maximum array length: 100
Minimum string length: 1
Example:
sort
enum<string>[]

Order employees by given instruction. Read more about sorting. Default: id.

Maximum array length: 100
Available options:
id,
-id,
familyName,
-familyName,
createdAt,
-createdAt
include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A collection of employee resources.

type
string
Allowed value: "employees"
url
string<uri>
totalCount
integer<int64> | null

Total number of employee resources across all pages that satisfy query parameters.

Required range: x >= 0
items
employee · object[]

Paginated list of employee resources.

Maximum array length: 100

Links to related resources

embedded
object | null

Embeds the representation of resources related to the employee(s).

Only returned if requested by the API client: ?include=embedded.